Check Server Status (Developer Mode)
2/26/26Less than 1 minute
Check Server Status (Developer Mode)
Check server running status in developer mode, requires providing admin secret.
Endpoint: GET /test/check_server_state_dev
Request Parameters
| Parameter | Type | Location | Required | Description |
|---|---|---|---|---|
| secret_order | string | query | Yes | Admin secret (Base64 encoded DEV_PUBLIC_TOKEN) |
Response Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| status | int | Yes | HTTP status code |
| server_state | string | Yes | Server running status |
| FastApi_version | string | Yes | FastAPI version |
| Python_version | tuple | Yes | Python version information |
Success Response Example
{
"status": 200,
"server_state": "running",
"FastApi_version": "0.115.0",
"Python_version": [
3,
14,
0,
"final",
0,
0
]
}Error Response Example
Endpoint Not Open
{
"status": 403,
"server_state": "Server has not opened this endpoint"
}Secret Empty
{
"status": 401
}Secret Decode Failed
{
"status": 401
}Secret Mismatch
{
"status": 401
}Warning
This endpoint is for administrator use only. Do not expose this endpoint in production environments.
Tip
secret_order needs to Base64 encode DEV_PUBLIC_TOKEN, which is SHICTHRS-AegisSpeed-DEV
The encoded result is: U0hJQ1RIUlMtQWVnaXNTcGVlZC1ERVY=
← Back to API Documentation | ← Check Server Status | → Check Server API Status